Package com.google.android.exoplayer2.audio

## Interface AudioListener

- All Known Subinterfaces:
    `Player.Listener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`

      @Deprecated
      public interface AudioListener

  Deprecated.
  Use `Player.Listener`.
  A listener for changes in audio configuration.

- - ### Method Summary

    All Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onAudioAttributesChanged​(AudioAttributes audioAttributes)` | Deprecated. Called when the audio attributes change.
    `default void` | `onAudioSessionIdChanged​(int audioSessionId)` | Deprecated. Called when the audio session ID changes.
    `default void` | `onSkipSilenceEnabledChanged​(boolean skipSilenceEnabled)` | Deprecated. Called when skipping silences is enabled or disabled in the audio stream.
    `default void` | `onVolumeChanged​(float volume)` | Deprecated. Called when the volume changes.

- - ### Method Detail

    - #### onAudioSessionIdChanged

          default void onAudioSessionIdChanged​(int audioSessionId)

      Deprecated.
      Called when the audio session ID changes.
      Parameters:
        `audioSessionId` - The audio session ID.

    - #### onAudioAttributesChanged

          default void onAudioAttributesChanged​(AudioAttributes audioAttributes)

      Deprecated.
      Called when the audio attributes change.
      Parameters:
        `audioAttributes` - The audio attributes.

    - #### onVolumeChanged

          default void onVolumeChanged​(float volume)

      Deprecated.
      Called when the volume changes.
      Parameters:
        `volume` - The new volume, with 0 being silence and 1 being unity gain.

    - #### onSkipSilenceEnabledChanged

          default void onSkipSilenceEnabledChanged​(boolean skipSilenceEnabled)

      Deprecated.
      Called when skipping silences is enabled or disabled in the audio stream.
      Parameters:
        `skipSilenceEnabled` - Whether skipping silences in the audio stream is enabled.